Package org.apache.sling.sitemap.spi.common

## Interface SitemapLinkExternalizer

    @ConsumerType
    public interface SitemapLinkExternalizer

Consumers may implement this interface to override the default externalisation behaviour.

### Field Summary

Fields
`static SitemapLinkExternalizer` `DEFAULT` A default implementation of the `SitemapLinkExternalizer` which may be used as fallback.

### Method Summary

All Methods Instance Methods Abstract Methods
`@Nullable String` `externalize​(org.apache.sling.api.resource.Resource resource)` Implementations must return an absolute url for the given resource.
`@Nullable String` `externalize​(org.apache.sling.api.SlingHttpServletRequest request, String path)` Implementations must return an absolute url for the given path in the context of the given request.

### Field Detail

#### DEFAULT

    static final SitemapLinkExternalizer DEFAULT

A default implementation of the `SitemapLinkExternalizer` which may be used as fallback.

### Method Detail

#### externalize

    @Nullable
    @Nullable String externalize​(org.apache.sling.api.SlingHttpServletRequest request,
                                 String path)

Implementations must return an absolute url for the given path in the context of the given request.

Parameters:
  `request` -
  `path` -
Returns:
  an absolute url

#### externalize

    @Nullable
    @Nullable String externalize​(org.apache.sling.api.resource.Resource resource)

Implementations must return an absolute url for the given resource.

Parameters:
  `resource` -
Returns:
  an absolute url